Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Class AuditTaskInstanceLogQueryBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder>
              org.jbpm.services.task.audit.service.AuditTaskInstanceLogQueryBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder

    public class AuditTaskInstanceLogQueryBuilderImpl

extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder>
implements org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder.OrderBy`

Field Summary
`static String` | `TASK_AUDIT_LOG_QUERY`

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`AuditTaskInstanceLogQueryBuilderImpl(CommandExecutor cmdService)`
`AuditTaskInstanceLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

Method Summary
`org.kie.internal.query.ParametrizedQuery<org.kie.internal.task.api.AuditTask>` | `buildQuery()`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `description(String... description)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `orderBy(org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder.OrderBy field)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `taskId(long... taskId)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `taskName(String... name)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `taskStatus(String... status)`
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `workItemId(long... workItemId)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`date, dateRangeEnd, dateRangeStart, getJpaAuditLogService, processId, processInstanceId`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder
`date, dateRangeEnd, dateRangeStart`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder
`processId, processInstanceId`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Field Detail

### TASK_AUDIT_LOG_QUERY

    public static String TASK_AUDIT_LOG_QUERY

Constructor Detail

### AuditTaskInstanceLogQueryBuilderImpl

    public AuditTaskInstanceLogQueryBuilderImpl(CommandExecutor cmdService)

### AuditTaskInstanceLogQueryBuilderImpl

    public AuditTaskInstanceLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

Method Detail

### taskId

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder taskId(long... taskId)

  Specified by:
    `taskId` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### taskName

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder taskName(String... name)

  Specified by:
    `taskName` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### description

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder description(String... description)

  Specified by:
    `description` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### taskStatus

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder taskStatus(String... status)

  Specified by:
    `taskStatus` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### workItemId

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder workItemId(long... workItemId)

  Specified by:
    `workItemId` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### orderBy

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder orderBy(org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder.OrderBy field)

  Specified by:
    `orderBy` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

### buildQuery

    public org.kie.internal.query.ParametrizedQuery<org.kie.internal.task.api.AuditTask> buildQuery()

  Specified by:
    `buildQuery` in interface `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.